dpkg-scansources(1)

NOM
dpkg-scansources - Rechercher les fichiers « .dsc » et construire le fichier d'index « Sources »

SYNOPSIS
dpkg-scansources [options] rep-de-binaires [fichier-override [chemin-à-préfixer]] > Sources

DESCRIPTION
dpkg-scansources recherche des fichiers .dsc dans le répertoire rep-de-binaires indiqué. Ces fichiers sont utilisés pour créer un index de sources Debian, qui est envoyé sur la sortie standard.

Le fichier-override, s'il est indiqué, est utilisé pour fixer les priorités dans l'index créé et pour modifier le responsable donné par les fichiers .dsc. Consultez dpkg-scanpackages(1) pour plus de détails sur le format de ce fichier. Note : comme le fichier override est indexé par paquet binaire et non pas par paquet source, il y a un léger problème. L'implémentation actuelle utilise la priorité la plus élevée des paquets produit par un fichier .dsc comme priorité du paquet source, et l'entrée du fichier override du premier paquet binaire listé dans le fichier .dsc pour modifier l'information sur le responsable. Ceci pourra changer.

Le chemin-à-préfixer, s'il est indiqué, est ajouté au début du champ Directory (« répertoire ») dans l'index des sources généré. C'est en règle générale utilisé pour que le champ Directory contienne un chemin depuis la racine de l'archive Debian.

Note : Si vous voulez accéder au fihier Sources généré avec apt(8), vous devrez probablement compresser ce fichier avec gzip(1) (pour créer un fichier Sources.gz). Apt ignore les fichiers Sources non compressés sauf pour les accès locaux (c'est-à-dire les sources file://).

OPTIONS

--debug
    Active le débogage.

--help
    Affiche un message d'aide puis quitte.

-n, --no-sort
    Ne trie pas les entrées de l'index. Elles sont d'habitude triées en fonction du nom du paquet source.

-s, --source-override fichier
    Utilise le fichier comme fichier override des sources. dpkg-scansources utilise par défaut le fichier override indiqué, en y ajoutant le suffixe .src.

    Le format des fichiers override des sources est différent des fichiers override des binaires. Il ne contient que deux champs séparés par des espaces, le premier indique le paquet source et le second, la section. Les lignes blanches et les lignes de commentaire sont ignorées comme à l'habitude. Si un paquet apparaît dans chaque fichier, le fichier des sources est prioritaire pour fixer la section.

--version
    Affiche le numéro de version puis quitte.

VOIR AUSSI
dpkg-scanpackages(1).

AUTEUR
Roderick Schertler <roderick@argon.org>

TRADUCTION
Nicolas François, 2006. Veuillez signaler toute erreur de traduction à <debian-l10n-french@lists.debian.org>.